#include "guiwindowdialogyesno.hpp"
#include "gui/guiwindowmanager.hpp"

pymms::gui::GUIWindowDialogYesNo::GUIWindowDialogYesNo(std::string h, std::string l1, std::string l2, std::string l3) : GUIWindowDialog(h, l1, l2, l3)
{
  window_id = 502;

  yesbutton = new GUIButtonControl(get_width()/2-256+512-70-65-100-10, get_height()/2-108+22+30+25+25+35, 100, 25, "Yes", 3, 
				"python/button-focus.png", "python/button-nofocus.png", "Vera", "0xffffff", "0xffffff", 0, "center");
  add_control(yesbutton);

  nobutton = new GUIButtonControl(get_width()/2-256+512-70-65, get_height()/2-108+22+30+25+25+35, 100, 25, "No", 3, 
				"python/button-focus.png", "python/button-nofocus.png", "Vera", "0xffffff", "0xffffff", 0, "center");
  add_control(nobutton);

  yesbutton->control_right(nobutton);
  yesbutton->control_left(nobutton);

  nobutton->control_right(yesbutton);
  nobutton->control_left(yesbutton);

  set_focus(yesbutton);
}

pymms::gui::GUIWindowDialogYesNo::~GUIWindowDialogYesNo()
{
}

bool pymms::gui::GUIWindowDialogYesNo::on_action(std::string action)
{
  GUIWindow::on_action(action);

  if(action == "action")
  {
    if(get_focus() == yesbutton)
      retval = true;

    if(get_focus() == nobutton)
      retval = false;

    dialogEvent.signal();
  }

  S_WindowManager::get_instance()->render();

  return true;
}

bool pymms::gui::GUIWindowDialogYesNo::yesno()
{
  do_modal();

  return retval;
}
