#ifndef GUIWINDOWDIALOGPROGRESS_HPP
#define GUIWINDOWDIALOGPROGRESS_HPP

#include "guiwindowdialog.hpp"
#include "gui/guibuttoncontrol.hpp"

#include <string>

namespace pymms {

namespace gui {

class GUIWindowDialogProgress : public GUIWindowDialog
{
  protected:
    int current_percent; 
    bool isCanceled;
    GUIButtonControl *cancelButton;

  public:
    GUIWindowDialogProgress(std::string h="", std::string l1="", std::string l2="", std::string l3="");
    ~GUIWindowDialogProgress();
    bool on_action(std::string action);
    void update(int percent);
    bool is_canceled();
};

}

}
    
#endif

